package com.rjconsultores.ventaboletos.web.gui.controladores.configuracioneccomerciales;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.HistoricoPuntoVenta;

import com.rjconsultores.ventaboletos.dao.UsuarioDAO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;
import com.rjconsultores.ventaboletos.entidad.Usuario;

public class PuntoVendaHistoricoBloqueioListItemRenderer implements ListitemRenderer {

	private UsuarioDAO usuarioDAO;
	
	public PuntoVendaHistoricoBloqueioListItemRenderer() {
		usuarioDAO = (UsuarioDAO) AppContext.getApplicationContext().getBean("usuarioDAO");
	}
	
	@Override
	public void render(Listitem lstm, Object o) throws Exception {

		HistoricoPuntoVenta h = (HistoricoPuntoVenta) o;

		Listcell lc = new Listcell(h.getIndBloqueio() ? "Bloqueio" : "Desbloqueio");
		lc.setParent(lstm);

		SimpleDateFormat formato = new SimpleDateFormat("dd/MM/yyyy");

		lc = new Listcell(formato.format(h.getFecBloqueio()));
		lc.setParent(lstm);
		
		lc = new Listcell(h.getMotivoBloqueio());
		lc.setParent(lstm);
		
		Usuario usuario = usuarioDAO.obtenerID(h.getUsuarioId());
		lc = new Listcell(usuario.getNombusuario());
		lc.setParent(lstm);

		lstm.setAttribute("data", lc);
	}

}
